﻿USE [mbs6business]
GO
/****** Object:  Table [dbo].[tblAssociatedHierarchyTypes]    Script Date: 11/3/2012 1:25:27 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAssociatedHierarchyTypes](
	[GUID] [uniqueidentifier] NOT NULL,
	[HierarchyGUID] [uniqueidentifier] NOT NULL,
	[HierarchyType] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblAssociatedHierarchyTypes] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblBusinessHierarchy]    Script Date: 11/3/2012 1:25:27 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblBusinessHierarchy](
	[GUID] [uniqueidentifier] NOT NULL,
	[ParentGUID] [uniqueidentifier] NULL,
	[BusinessType] [nvarchar](500) NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[Owner] [nvarchar](500) NULL,
	[BusinessJustification] [nvarchar](max) NULL,
	[Solutions] [nvarchar](max) NULL,
	[MarketSegments] [nvarchar](max) NULL,
	[CustomerSegments] [nvarchar](max) SPARSE  NULL,
	[ValueProposition] [nvarchar](max) SPARSE  NULL,
	[Channels] [nvarchar](max) SPARSE  NULL,
	[CustomerRelations] [nvarchar](max) SPARSE  NULL,
	[IncomeRevenueStreams] [nvarchar](max) SPARSE  NULL,
	[KeyResources] [nvarchar](max) SPARSE  NULL,
	[KeyActivitiesProcess] [nvarchar](max) SPARSE  NULL,
	[KeyPartnerships] [nvarchar](max) SPARSE  NULL,
	[CostStructure] [nvarchar](max) SPARSE  NULL,
	[InvestProtection] [nvarchar](max) NULL,
 CONSTRAINT [PK_tblBusinessHierarchy] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblAssociatedHierarchyTypes]  WITH CHECK ADD  CONSTRAINT [FK_tblAssociatedHierarchyTypes_tblBusinessHierarchy] FOREIGN KEY([HierarchyGUID])
REFERENCES [dbo].[tblBusinessHierarchy] ([GUID])
GO
ALTER TABLE [dbo].[tblAssociatedHierarchyTypes] CHECK CONSTRAINT [FK_tblAssociatedHierarchyTypes_tblBusinessHierarchy]
GO
