﻿USE [mbs6storage]
GO
/****** Object:  Table [dbo].[tblFiles]    Script Date: 10/27/2012 11:35:11 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[tblFiles](
	[GUID] [uniqueidentifier] NOT NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
	[Title] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[OriginalFullFileName] [nvarchar](2000) NOT NULL,
	[ByteArray] [varbinary](max) NOT NULL,
	[FileName] [nvarchar](500) NOT NULL,
	[FileExtension] [nvarchar](10) NOT NULL,
	[FileSizeKB] [int] NOT NULL,
	[FileSizeMB] [int] NOT NULL,
	[FileType] [nvarchar](50) NOT NULL,
	[ReferenceGUID] [uniqueidentifier] NOT NULL,
	[Filter] [nvarchar](50) NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NULL,
	[Thumbnail] [varbinary](max) NULL,
	[OwnerGUID] [uniqueidentifier] NULL,
	[Prop1] [nvarchar](2000) SPARSE  NULL,
	[Prop2] [nvarchar](2000) SPARSE  NULL,
	[Prop3] [nvarchar](2000) SPARSE  NULL,
	[Prop4] [nvarchar](2000) SPARSE  NULL,
	[Prop5] [nvarchar](2000) SPARSE  NULL,
	[Prop6] [nvarchar](2000) SPARSE  NULL,
	[Prop7] [nvarchar](2000) SPARSE  NULL,
 CONSTRAINT [PK_tblFiles] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
